Jala 1.3

## Class jala.Form.Component

    Object
       |
       +--jala.Form.Component

Direct Known Subclasses:
  jala.Form.Component.Skin

class jala.Form.Component

Defined in Form.js

Nested Class Summary
`<static class>` | `jala.Form.Component.Fieldset`
`<static class>` | `jala.Form.Component.Skin`
`<static class>` | `jala.Form.Component.Input`
`<static class>` | `jala.Form.Component.Password`
`<static class>` | `jala.Form.Component.Hidden`
`<static class>` | `jala.Form.Component.Textarea`
`<static class>` | `jala.Form.Component.Date`
`<static class>` | `jala.Form.Component.Select`
`<static class>` | `jala.Form.Component.Radio`
`<static class>` | `jala.Form.Component.Checkbox`
`<static class>` | `jala.Form.Component.File`
`<static class>` | `jala.Form.Component.Image`
`<static class>` | `jala.Form.Component.Button`
`<static class>` | `jala.Form.Component.Submit`

Constructor Summary
`jala.Form.Component (name)` The abstract base class for all components.

Method Summary
`String` | `createDomId(<String> idPart)` Creates a DOM identifier based on the name of the form, the name of the component and an additional string.
`void` | `render()` Function to render a component.
`void` | `save(destObj, val)` Function to save the data of a component.
`Object` | `validate(<jala.Form.Tracker> tracker)` Function to validate a component.

Constructor Detail

### jala.Form.Component

    jala.Form.Component(name)

The abstract base class for all components.

Method Detail

### createDomId

    String createDomId(<String> idPart)

Creates a DOM identifier based on the name of the form, the name of the component and an additional string. The items will be chained using camel casing.

Parameters:

`idPart` - Optional string appended to component's id.

Returns:

The DOM Id

### render

    void render()

Function to render a component. Subclasses of jala.Form.Component may override this function.

### save

    void save(destObj, val)

Function to save the data of a component. Subclasses of jala.Form.Component may override this function.

### validate

    Object validate(<jala.Form.Tracker> tracker)

Function to validate a component. Subclasses of jala.Form.Component may override this function.

Parameters:

`tracker` - object tracking errors and holding parsed values and request data.

Jala 1.3

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008